## org.eclipse.uml2.uml
Interface ExecutionOccurrenceSpecification

All Superinterfaces:
  Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, InteractionFragment, NamedElement, org.eclipse.emf.common.notify.Notifier, OccurrenceSpecification

    public interface ExecutionOccurrenceSpecification

extends OccurrenceSpecification

A representation of the model object 'Execution Occurrence Specification'. An execution occurrence specification represents moments in time at which actions or behaviors start or finish.

The following features are supported:

- `Execution`

See Also:
  `UMLPackage.getExecutionOccurrenceSpecification()`

Field Summary

Fields inherited from interface org.eclipse.uml2.uml.NamedElement
`SEPARATOR`

Method Summary
`ExecutionSpecification` `getExecution()` Returns the value of the 'Execution' reference
`void` `setExecution(ExecutionSpecification value)` Sets the value of the '`Execution`' reference

Methods inherited from interface org.eclipse.uml2.uml.OccurrenceSpecification
`getEvent, getToAfter, getToAfter, getToAfters, getToBefore, getToBefore, getToBefores, setEvent`

Methods inherited from interface org.eclipse.uml2.uml.InteractionFragment
`createGeneralOrdering, getCovered, getCovered, getCovereds, getEnclosingInteraction, getEnclosingOperand, getGeneralOrdering, getGeneralOrdering, getGeneralOrderings, setEnclosingInteraction, setEnclosingOperand`

Methods inherited from interface org.eclipse.uml2.uml.NamedElement

`allNamespaces, allOwningPackages, createDependency, createNameExpression, createUsage, getClientDependencies, getClientDependency, getClientDependency, getLabel, getLabel, getName, getNameExpression, getNamespace, getQualifiedName, getVisibility, isDistinguishableFrom, isSetName, isSetVisibility, separator, setName, setNameExpression, setVisibility, unsetName, unsetVisibility, validateHasNoQualifiedName, validateHasQualifiedName, validateVisibilityNeedsOwnership`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getExecution

    ExecutionSpecification getExecution()

  Returns the value of the 'Execution' reference. References the execution specification describing the execution that is started or finished at this execution event.

  Returns:
    the value of the 'Execution' reference.
  See Also:
    `setExecution(ExecutionSpecification)`, `UMLPackage.getExecutionOccurrenceSpecification_Execution()`

### setExecution

    void setExecution(ExecutionSpecification value)

  Sets the value of the '`Execution`' reference.

  Parameters:
    `value` - the new value of the 'Execution' reference.
  See Also:
    `getExecution()`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.